package com.rjconsultores.ventaboletos.utilerias.exportacaofiscal.vo;

import java.math.BigDecimal;

public class ExportacaoRMDTipoDBP {
	private String ufDestino;
	private Integer cfop; // IM=5357; serviço IE= 6357
	private BigDecimal valorTotal; 
	private BigDecimal valorBaseCalculoICMS; 
	private BigDecimal aliquotaICMS;
	private BigDecimal valorICMS; 
	private BigDecimal valorICMSIsento; 
	private BigDecimal valorICMSOutros; 
	private Integer codigoSituacaoTribColunaB; // 00 - tributação normal; 20 - tributação com redução na base de calculo; 40 - isentos
	private String ufOrigem;
	private Integer municipioOrigem;

	public ExportacaoRMDTipoDBP() {
		
	}

	public String getUfDestino() {
		return ufDestino;
	}

	public void setUfDestino(String ufDestino) {
		this.ufDestino = ufDestino;
	}

	public Integer getCfop() {
		return cfop;
	}

	public void setCfop(Integer cfop) {
		this.cfop = cfop;
	}

	public BigDecimal getValorTotal() {
		return valorTotal;
	}

	public void setValorTotal(BigDecimal valorTotal) {
		this.valorTotal = valorTotal;
	}

	public BigDecimal getValorBaseCalculoICMS() {
		return valorBaseCalculoICMS;
	}

	public void setValorBaseCalculoICMS(BigDecimal valorBaseCalculoICMS) {
		this.valorBaseCalculoICMS = valorBaseCalculoICMS;
	}

	public BigDecimal getAliquotaICMS() {
		return aliquotaICMS;
	}

	public void setAliquotaICMS(BigDecimal aliquotaICMS) {
		this.aliquotaICMS = aliquotaICMS;
	}

	public BigDecimal getValorICMS() {
		return valorICMS;
	}

	public void setValorICMS(BigDecimal valorICMS) {
		this.valorICMS = valorICMS;
	}

	public BigDecimal getValorICMSIsento() {
		return valorICMSIsento;
	}

	public void setValorICMSIsento(BigDecimal valorICMSIsento) {
		this.valorICMSIsento = valorICMSIsento;
	}

	public BigDecimal getValorICMSOutros() {
		return valorICMSOutros;
	}

	public void setValorICMSOutros(BigDecimal valorICMSOutros) {
		this.valorICMSOutros = valorICMSOutros;
	}

	public Integer getCodigoSituacaoTribColunaB() {
		return codigoSituacaoTribColunaB;
	}

	public void setCodigoSituacaoTribColunaB(Integer codigoSituacaoTribColunaB) {
		this.codigoSituacaoTribColunaB = codigoSituacaoTribColunaB;
	}

	public String getUfOrigem() {
		return ufOrigem;
	}

	public void setUfOrigem(String ufOrigem) {
		this.ufOrigem = ufOrigem;
	}

	public Integer getMunicipioOrigem() {
		return municipioOrigem;
	}

	public void setMunicipioOrigem(Integer municipioOrigem) {
		this.municipioOrigem = municipioOrigem;
	}

	@Override
	public String toString() {
		return "ExportacaoRMDTipoDBP [ufDestino=" + ufDestino + ", cfop=" + cfop + ", valorTotal=" + valorTotal + ", valorBaseCalculoICMS=" + valorBaseCalculoICMS + ", aliquotaICMS=" + aliquotaICMS + ", valorICMS=" + valorICMS + ", valorICMSIsento=" + valorICMSIsento + ", valorICMSOutros=" + valorICMSOutros + ", codigoSituacaoTribColunaB=" + codigoSituacaoTribColunaB + ", ufOrigem=" + ufOrigem + ", municipioOrigem=" + municipioOrigem + "]";
	}
}
